bftsmart.tom.server.defaultservices

## Class CommandsInfo

- java.lang.Object
- - bftsmart.tom.server.defaultservices.CommandsInfo

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

    public class CommandsInfo
    extends java.lang.Object
    implements java.io.Externalizable

See Also:
  Serialized Form

### Field Summary

Fields
`byte[][]` `commands`
`MessageContext[]` `msgCtx`

### Constructor Summary

Constructors
Constructor and Description
`CommandsInfo()`
`CommandsInfo(byte[][] commands, MessageContext[] msgCtx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`
`void` `readExternal(java.io.ObjectInput in)`
`void` `writeExternal(java.io.ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### commands

    public byte[][] commands

#### msgCtx

    public MessageContext[] msgCtx

### Constructor Detail

#### CommandsInfo

    public CommandsInfo()

#### CommandsInfo

    public CommandsInfo(byte[][] commands,
                        MessageContext[] msgCtx)

### Method Detail

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Specified by:
  `writeExternal` in interface `java.io.Externalizable`
Throws:
  `java.io.IOException`

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Specified by:
  `readExternal` in interface `java.io.Externalizable`
Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`